snowenc: fix use of deprecated API